--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: list
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Channel modes of type A manipulate lists
- !ruby/struct:SM::Flow::P 
  body: "Example: b (banlist)"
constants: []

full_name: Irc::Channel::ModeTypeA
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: set
name: ModeTypeA
superclass: Mode
